@transparent-border-bottom: 1px solid transparent;

.pencil-icon {
  display: none;
  margin: auto 0 auto 5px;
  color: #c7c9cc;
}

.grid-icon {
  &:hover {
    border-bottom-color: 1px dashed var(--label-color);
    cursor: text;
  }
}

div {
  &.read {
    border-bottom: @transparent-border-bottom;
    display: flex;
    overflow: hidden;
  }

  &.editable {
    span {
      border-bottom: 1px dashed transparent;
    }
    &:hover {
      span {
        border-bottom-color: var(--label-color);
        cursor: text;
      }

      i {
        display: inline-block;
      }
    }
  }

  &.edit {
    ::ng-deep input {
      font-size: inherit !important;
      width: 100%;

      &:focus {
        box-shadow: none;
      }
    }
  }
}
